Name:		anyremote
Version:	5.5
Release:	%mkrel 1
Summary:	Remote control through bluetooth or IR connection
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://anyremote.sourceforge.net/
Source0:	http://nchc.dl.sourceforge.net/sourceforge/anyremote/%name-%version.tar.gz
Requires:	bluez
Requires:	irda-utils
BuildRequires:	libbluez-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:  pkgconfig(xi)
Suggests:	kanyremote
Suggests:	anyremote2html

%description
The overall goal of this project is to provide wireless remote control program
on Linux through Bluetooth, InfraRed, Wi-Fi or just TCP/IP connection.

anyRemote supports wide range of modern cell phones line Nokia, SonyEricsson,
Motorola and others.

anyRemote was developed as thin "communication" layer between Buetooth
(IR, Wi-Fi) capable phone and Linux, and in principle could be configured to
manage almost any software.

anyRemote could be used with:
* bluetooth connection with java client if cell phone is JSR82 compatible
* Wi-Fi connection with java client if phone supports Wi-Fi
* IR connection with java client if java realization in phone supports access
  to IR port
* ordinary TCP/IP connection with java client, if PC is connectable from
  the Internet
* bluetooth, infrared or cable connection using AT "modem" commands
* web interface
* it supports some of IR remotes supplied with TV tuner cards (like LIRC)
* it has limited support for Bemused clients 

anyRemote is a console application, but in addition there are GUI front ends
for Gnome and KDE.

%package doc
Summary:	Documentations for anyRemote
Group:		System/Kernel and hardware
Conflicts:	%{name} < 4.14
BuildArch:	noarch

%description doc
Documentation for anyRemote.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

# we'll cp our own doc files
%__rm -rf %{buildroot}%{_datadir}/doc

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*

%files doc
%defattr(-,root,root)
%doc doc-html/*


%changelog
* Thu Jan 19 2012 Bernhard Rosenkraenzer <bero@bero.eu> 5.5-1mdv2012.0
+ Revision: 762526
- Fix build deps

  + Andrey Bondrov <abondrov@mandriva.org>
    - New version 5.5, update BuildRequires, Requires, Suggests and description

* Thu Oct 06 2011 Leonardo Coelho <leonardoc@mandriva.org> 5.4.2-1
+ Revision: 703302
- bump new version

* Tue Mar 15 2011 Stéphane Téletchéa <steletch@mandriva.org> 5.4-1
+ Revision: 644991
- update to new version 5.4

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 5.3-1mdv2011.0
+ Revision: 598533
- update to new version 5.3

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 5.2-1mdv2011.0
+ Revision: 582951
- update to new version 5.2

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 5.1.3-1mdv2011.0
+ Revision: 554706
- update to new version 5.1.3

* Fri Feb 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 5.1.1-1mdv2010.1
+ Revision: 505123
- update to 5.1.1

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 5.1-1mdv2010.1
+ Revision: 486892
- update to new version 5.1

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 5.0-1mdv2010.1
+ Revision: 465984
- BR dbus
- New version 5.0

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 4.18.1-1mdv2010.0
+ Revision: 370663
- New version 4.18.1

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 4.17-1mdv2009.1
+ Revision: 355264
- update to new version 4.17

* Wed Jan 21 2009 Funda Wang <fwang@mandriva.org> 4.15-1mdv2009.1
+ Revision: 332071
- update to new version 4.15

* Mon Jan 12 2009 Funda Wang <fwang@mandriva.org> 4.14-1mdv2009.1
+ Revision: 328608
- split doc sub package
- update to new version 4.14

* Fri Dec 19 2008 Funda Wang <fwang@mandriva.org> 4.13-1mdv2009.1
+ Revision: 316017
- new version 4.13

* Mon Nov 17 2008 Funda Wang <fwang@mandriva.org> 4.12-1mdv2009.1
+ Revision: 303943
- update to new version 4.12

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 4.11-1mdv2009.1
+ Revision: 296348
- New version 4.11

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 4.9-1mdv2009.1
+ Revision: 292067
- New version 4.9

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 4.8.1-1mdv2009.0
+ Revision: 283364
- New version 4.8.1

* Mon Aug 18 2008 Funda Wang <fwang@mandriva.org> 4.7.1-1mdv2009.0
+ Revision: 273371
- New version 4.7.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 4.6-2mdv2009.0
+ Revision: 266153
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Funda Wang <fwang@mandriva.org> 4.6-1mdv2009.0
+ Revision: 214177
- import sources and spec
- Created package structure for anyremote.

